Sites
GET https://zmega-dev.ru/api/websites/
curl --request GET \
--url 'https://zmega-dev.ru/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://zmega-dev.ru/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| page | Opcional Inteiro | O número da página. Padrão: 1. |
| results_per_page | Opcional Inteiro | Resultados por página. Valores permitidos: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Padrão: 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"domain_id": 0,
"scheme": "https",
"host": "example.com",
"score": 100,
"total_audits": 10,
"total_archived_audits": 5,
"total_issues": 0,
"major_issues": 0,
"moderate_issues": 0,
"minor_issues": 0,
"last_audit_datetime": "2024-11-10 02:26:19",
"datetime": "2026-02-25 03:04:29",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://zmega-dev.ru/api/websites?page=1",
"last": "https://zmega-dev.ru/api/websites?page=1",
"next": null,
"prev": null,
"self": "https://zmega-dev.ru/api/websites?page=1"
}
}
GET https://zmega-dev.ru/api/websites/{website_id}
curl --request GET \
--url 'https://zmega-dev.ru/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://zmega-dev.ru/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"domain_id": 0,
"scheme": "https",
"host": "example.com",
"score": 100,
"total_audits": 10,
"total_archived_audits": 5,
"total_issues": 0,
"major_issues": 0,
"moderate_issues": 0,
"minor_issues": 0,
"last_audit_datetime": "2024-11-10 02:26:19",
"datetime": "2026-02-25 03:04:29",
}
}
POST https://zmega-dev.ru/api/websites/{website_id}
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| domain_id | Opcional Inteiro | - |
| password | Opcional String | - |
| is_public | Opcional Booleano | - |
| audit_check_interval | Opcional Inteiro | Valores permitidos: {empty_string},21600, 43200, 86400, 259200, 432000, 864000, 1296000, 2592000 (segundos) |
| notifications | Opcional Array | IDs de gerenciadores de notificação |
| directory_is_enabled_and_verified | Opcional Booleano | - |
curl --request POST \
--url 'https://zmega-dev.ru/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_public=1' \
--form 'password=example' \
--url 'https://zmega-dev.ru/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_public=1' \
--form 'password=example' \
{
"data": {
"id": 1
}
}
DELETE https://zmega-dev.ru/api/websites/{website_id}
curl --request DELETE \
--url 'https://zmega-dev.ru/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://zmega-dev.ru/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \